/*
NOTE: this part is facultative and not suggested for NON italian opencart.
*/


/* updating the main settings*/
/*fixing default invoice name without the 2013 (The year can be added/fixed with a module)*/
UPDATE `oc_setting` SET
`value` ='INV'
WHERE `key` ='config_invoice_prefix';

UPDATE `oc_setting` SET
`value` = 'it'
WHERE `key` ='config_language';

UPDATE `oc_setting` SET
`value` = 'it'
WHERE `key` ='config_admin_language';

UPDATE `oc_setting` SET
`value` ='Proprietario'
WHERE `key` ='config_owner';

UPDATE `oc_setting` SET
`value` ='Negozio'
WHERE `key` ='config_store';

UPDATE `oc_setting` SET
`value` ='Negozio'
WHERE `key` ='config_name';

UPDATE `oc_setting` SET
`value` ='Negozio'
WHERE `key` ='config_meta_title';

UPDATE `oc_setting` SET
`value` ='Negozio'
WHERE `key` ='config_title';

UPDATE `oc_setting` SET
`value` ='vendita, prodotti, ecommerce'
WHERE `key` ='config_meta_keyword';

UPDATE `oc_setting` SET
`value` ='Negozio'
WHERE `key` ='config_meta_description';

UPDATE `oc_setting` SET
`value` ='Indirizzo'
WHERE `key` ='config_address';

/*Italy = 105*/
UPDATE `oc_setting` SET
`value` ='105'
WHERE `key` ='config_country_id';

/* id of the city*/
UPDATE `oc_setting` SET
`value` ='3852'
WHERE `key` ='config_zone_id';
/*`value` ='3924' if you want to add Rome*/

UPDATE `oc_tax_class` SET
`title` ='Prodotti Tassabili',
`description` ='Prodotti Tassabili'
WHERE `tax_class_id` ='9';
UPDATE `oc_tax_class` SET
`title` ='Prodotti Scaricabili',
`description` ='Prodotti Scaricabili'
WHERE `tax_class_id` ='10';

/*deleting default UK taxes from the rules. In most cases they are not needed for italian taxation only*/
delete from oc_tax_rule where tax_rate_id = 86 OR tax_rate_id = 87;


UPDATE `oc_layout` SET `name` ='Pagina Iniziale' WHERE `layout_id` ='1';
UPDATE `oc_layout` SET `name` ='Prodotti' WHERE `layout_id` ='2';
UPDATE `oc_layout` SET `name` ='Categorie' WHERE `layout_id` ='3';
UPDATE `oc_layout` SET `name` ='Predefinito' WHERE `layout_id` ='4';
UPDATE `oc_layout` SET `name` ='Produttori' WHERE `layout_id` ='5';
UPDATE `oc_layout` SET `name` ='Account' WHERE `layout_id` ='6';
UPDATE `oc_layout` SET `name` ='Checkout' WHERE `layout_id` ='7';
UPDATE `oc_layout` SET `name` ='Contatti' WHERE `layout_id` ='8';
UPDATE `oc_layout` SET `name` ='Mappa del Sito' WHERE `layout_id` ='9';
UPDATE `oc_layout` SET `name` ='Affiliati' WHERE `layout_id` ='10';
UPDATE `oc_layout` SET `name` ='Informazioni' WHERE `layout_id` ='11';




/*changing the default coupon names */
UPDATE IGNORE `oc_coupon` SET name='Discount/Sconto -10%' WHERE coupon_id=4;
UPDATE IGNORE `oc_coupon` SET name='Discount/Sconto free shipping/spedizione gratuita' WHERE coupon_id=5;
UPDATE IGNORE `oc_coupon` SET name='Discount/Sconto -10 &euro;' WHERE coupon_id=6;





/*extra stuff that is NOT related to the language*/

/*
Disabling any currency except the euro.
In most cases we will use only our own currency if we are selling within italy or europe.

Pound, Dollar and Euro are, by default, already available and Enabled.
If you are using my sql as reference for your own language remember thay you need
to INSERT your currency if it's not EUR, USD or GBP.
*/
UPDATE `oc_currency` SET `status` = '0' WHERE `code` != 'EUR';

/* setting EUR to 1.00000 */
UPDATE `oc_currency` SET `value` = '1.00000000' WHERE `code` = 'EUR';

/* setting exchange EUR > GBP - 2016-02-22*/
UPDATE `oc_currency` SET `value` = '0.78079998' WHERE `code` = 'GBP';

/* setting exchange EUR > USD - 2016-02-22 */
UPDATE `oc_currency` SET `value` = '1.10889995' WHERE `code` = 'USD';

/* disabling automatic currency - in most cases we will handle 1 currency only and there's no need to update the currencies */
UPDATE `oc_setting` SET
`value` ='0'
WHERE `key` ='config_currency_auto';

/* setting currency to euro */
UPDATE `oc_setting` SET
`value` ='EUR'
WHERE `key` ='config_currency';


/* Affiliates needs approval - in most cases we don't use the affiliation */
UPDATE `oc_setting` SET
`value` ='1'
WHERE `key` ='config_affiliate_approval';

/* We allow to upload data up to 25MB instead of 300kb */
UPDATE `oc_setting` SET
`value` ='25000000'
WHERE `key` ='config_file_max_size';

/* do not show weight in the cart */
UPDATE `oc_setting` SET
`value` ='0'
WHERE `key` ='config_cart_weight';

/* checkout for guests */
UPDATE `oc_setting` SET
`value` ='0'
WHERE `key` ='config_checkout_guest';

/*replacing the John Doe firstname and lastname with something generic */
UPDATE IGNORE `oc_user` SET `firstname` = 'Utente',  `lastname` = 'Admin'  WHERE `firstname` = 'John' AND `lastname` = 'Doe' ;

/*replacing the names of the user groups */
UPDATE IGNORE `oc_user_group` SET `name` = 'Amministratore' WHERE `name` = 'Administrator';
UPDATE IGNORE `oc_user_group` SET `name` = 'Collaboratore' WHERE `name` = 'Demonstration';




/*changing the default customer group description to avoid the "test" for the ENGLISH language*/
UPDATE IGNORE `oc_customer_group_description` SET `description`= 'Customers' where `description` = 'test' AND `language_id` = 1 AND `customer_group_id` = 1;



